
%global meadversion 2011.1.0
%global namedversion 2011.1.0.redhat-10
%global meadalpha .redhat_10
%global meadrel .1
%global serial 2
%global namedversionrel redhat-10

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}relaxngDatatype}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2011.1.0.redhat-10

Name:           %{?scl_prefix}relaxngDatatype
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        RelaxNG datatype library
Group:          Development/Java

%if %with mead
Source100: relaxngDatatype-2011.1.0.redhat-10-scm-sources.zip
Source102: relaxngDatatype-2011.1.0.redhat-10-sources.jar
Source103: relaxngDatatype-2011.1.0.redhat-10-javadoc.jar
Source104: relaxngDatatype-2011.1.0.redhat-10-project-sources.tar.gz
Source105: relaxngDatatype-2011.1.0.redhat-10.jar
Source106: relaxngDatatype-2011.1.0.redhat-10.pom
%endif

License:        BSD
URL:            http://github.com/java-schema-utilities/relaxng-datatype-java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for relaxngDatatype
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n relaxng-datatype-java -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/relaxngDatatype-%{namedversion}.jar %{buildroot}%{_javadir}/relaxngDatatype-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/relaxngDatatype-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/relaxngDatatype-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/relaxngDatatype-%{namedversion}-sources.jar %{buildroot}%{_javadir}/relaxngDatatype-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/relaxngDatatype-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/relaxngDatatype-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/relaxngDatatype-%{namedversion} -x META-INF/\*
%{__ln_s} relaxngDatatype-%{namedversion} %{buildroot}%{_javadocdir}/relaxngDatatype
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc
%{_javadir}/relaxngDatatype-%{namedversion}.jar
%{_javadir}/relaxngDatatype.jar
%if %with javadoc
%{_javadir}/relaxngDatatype-%{namedversion}-javadoc.jar
%{_javadir}/relaxngDatatype-javadoc.jar
%endif
%{_javadir}/relaxngDatatype-%{namedversion}-sources.jar
%{_javadir}/relaxngDatatype-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/relaxngDatatype-%{namedversion}
%{_javadocdir}/relaxngDatatype
%endif

%changelog
* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 2011.1.0-2.redhat_10.1
- release

